summaryrefslogtreecommitdiff
path: root/openembedded/scripts/sdkhellocxx.sh
diff options
context:
space:
mode:
authorMilosz Wasilewski <milosz.wasilewski@linaro.org>2013-12-20 15:51:06 +0000
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2013-12-20 15:53:08 +0000
commit36c56b55b9f932ce1c74b2582915771200b7246d (patch)
tree92212d24e6cb1968c70681d8a48498a1c3845b94 /openembedded/scripts/sdkhellocxx.sh
parentd9905252c2f6bdb2aa840b4a697bc05392af21a6 (diff)
Openembedded SDK tests modifications
The tests were modified to match the test cases described in wiki. So the output of hello world is also checked now. Test case with static linking was added. Change-Id: I3370c8368257f3d4c1f0dd5c27dd39700f06ab98 Signed-off-by: Milosz Wasilewski <milosz.wasilewski@linaro.org>
Diffstat (limited to 'openembedded/scripts/sdkhellocxx.sh')
-rwxr-xr-xopenembedded/scripts/sdkhellocxx.sh17
1 files changed, 15 insertions, 2 deletions
diff --git a/openembedded/scripts/sdkhellocxx.sh b/openembedded/scripts/sdkhellocxx.sh
index bc5e195..08b50fd 100755
--- a/openembedded/scripts/sdkhellocxx.sh
+++ b/openembedded/scripts/sdkhellocxx.sh
@@ -19,16 +19,29 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
+# Author: Milosz Wasilewski <milosz.wasilewski@linaro.org>
#
cd
g++ hello.cc -o hello > sdkhellocxx.log
+EXIT=0
if [ 0 -eq $? ]
then
echo "sdkhellocxx: pass"
- exit 0
else
echo "sdkhellocxx: fail"
- exit 1
+ EXIT=1
fi
+
+HELLO_OUT=$(./hello)
+
+if [ "$HELLO_OUT" != 'hello world' ]
+then
+ echo "sdkhellocixxout: fail"
+ EXIT=1
+else
+ echo "sdkhellocxxout: pass"
+fi
+
+exit $EXIT